[postgis-tickets] r17679 - Try to get berrie to return fail code if regress fails

Regina Obe lr at pcorp.us
Fri Aug 9 02:55:25 PDT 2019


Author: robe
Date: 2019-08-09 14:55:25 -0700 (Fri, 09 Aug 2019)
New Revision: 17679

Modified:
   trunk/ci/berrie/postgis_regress.sh
Log:
Try to get berrie to return fail code if regress fails

Modified: trunk/ci/berrie/postgis_regress.sh
===================================================================
--- trunk/ci/berrie/postgis_regress.sh	2019-08-06 19:15:24 UTC (rev 17678)
+++ trunk/ci/berrie/postgis_regress.sh	2019-08-09 21:55:25 UTC (rev 17679)
@@ -1,3 +1,4 @@
+#!/bin/bash
 #bessie is a 32-bit Rasberry Pi managed by Bruce Rindahl
 ## BRANCH is passed in via jenkins which is set via gitea web hook
 #export BRANCH=618a67b1d6fc223dd5a4c0b02c824939f21dbd65
@@ -20,11 +21,12 @@
 ./configure --with-pgconfig=${PGPATH}/bin/pg_config
 #make clean
 make
-
+export err=0
 make check RUNTESTFLAGS="-v"
 make install
-make check RUNTESTFLAGS="-v --extension"
+make check RUNTESTFLAGS="-v --extension" || $err=1
 
 if [ -d $PGDATA/postmaster.pid ] ; then
 	$PGCTL stop -D $PGDATA -s -m fast
-fi
\ No newline at end of file
+fi
+exit $err
\ No newline at end of file



More information about the postgis-tickets mailing list